Bug 109182

Summary: [GTK][Introspection] Fix of gtk doc annotation warnings
Product: WebKit Reporter: Tomas Popela <tpopela>
Component: WebKitGTKAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: cgarcia, gns, mrobinson, webkit.review.bot, xan.lopez
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Proposed patch
none
Rebased patch none

Description Tomas Popela 2013-02-07 06:01:00 PST
There are some gtk doc annotation warnings that appears during compiling.
Comment 1 Tomas Popela 2013-02-07 06:09:05 PST
Created attachment 187084 [details]
Proposed patch
Comment 2 Tomas Popela 2013-02-07 06:26:31 PST
Comment on attachment 187084 [details]
Proposed patch

Fixed some gtk doc annotation warnings that appears during compiling. Also some white characters were removed and some restyling was done,
Comment 3 WebKit Review Bot 2013-02-07 07:00:59 PST
Attachment 187084 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebKit/gtk/ChangeLog', u'Source/WebKit/gtk/webkit/webkitdownload.cpp', u'Source/WebKit/gtk/webkit/webkitgeolocationpolicydecision.cpp', u'Source/WebKit/gtk/webkit/webkitglobals.cpp', u'Source/WebKit/gtk/webkit/webkithittestresult.h', u'Source/WebKit/gtk/webkit/webkiticondatabase.cpp', u'Source/WebKit/gtk/webkit/webkitsecurityorigin.cpp', u'Source/WebKit/gtk/webkit/webkitsecurityorigin.h', u'Source/WebKit/gtk/webkit/webkitspellchecker.cpp', u'Source/WebKit/gtk/webkit/webkitviewportattributes.cpp', u'Source/WebKit/gtk/webkit/webkitwebdatabase.cpp', u'Source/WebKit/gtk/webkit/webkitwebframe.cpp', u'Source/WebKit/gtk/webkit/webkitwebframe.h', u'Source/WebKit/gtk/webkit/webkitwebinspector.cpp', u'Source/WebKit/gtk/webkit/webkitwebnavigationaction.cpp', u'Source/WebKit/gtk/webkit/webkitwebplugindatabase.cpp', u'Source/WebKit/gtk/webkit/webkitwebpolicydecision.cpp', u'Source/WebKit/gtk/webkit/webkitwebsettings.cpp', u'Source/WebKit/gtk/webkit/webkitwebview.cpp', u'Source/WebKit/gtk/webkit/webkitwebwindowfeatures.cpp']" exit_code: 1
Source/WebKit/gtk/webkit/webkitwebview.cpp:2619:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/gtk/webkit/webkitwebview.cpp:2634:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/gtk/webkit/webkitwebview.cpp:2649:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/gtk/webkit/webkitwebview.cpp:2666:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/gtk/webkit/webkitwebview.cpp:2685:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/gtk/webkit/webkitwebview.cpp:2702:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/gtk/webkit/webkitwebview.cpp:2717:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/gtk/webkit/webkitwebview.cpp:2735:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/gtk/webkit/webkitwebview.cpp:2754:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/gtk/webkit/webkitwebview.cpp:2769:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/gtk/webkit/webkitwebview.cpp:2782:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/gtk/webkit/webkitwebview.cpp:2795:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/gtk/webkit/webkitwebview.cpp:2808:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Total errors found: 13 in 20 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Build Bot 2013-02-07 13:55:59 PST
Comment on attachment 187084 [details]
Proposed patch

Attachment 187084 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/16426334
Comment 5 Build Bot 2013-02-07 15:08:23 PST
Comment on attachment 187084 [details]
Proposed patch

Attachment 187084 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/16427327
Comment 6 Martin Robinson 2013-03-12 07:53:01 PDT
Comment on attachment 187084 [details]
Proposed patch

View in context: https://bugs.webkit.org/attachment.cgi?id=187084&action=review

Great! Do you mind uploading a new patch without style warnings though? You can use webkit-patch upload to sniff them out before uploading.

>> Source/WebKit/gtk/webkit/webkitwebview.cpp:2619
>> +            G_TYPE_FROM_CLASS(webViewClass),
> 
> When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]

Do you mind fixing the style issues here? You need to indent 4 spaces.
Comment 7 Tomas Popela 2013-03-13 06:28:44 PDT
Created attachment 192914 [details]
Rebased patch

Rebased patch and all the g_signal_new in Source/WebKit/gtk/webkit directory have now the same style.
Comment 8 Tomas Popela 2013-03-13 06:30:01 PDT
There are some warnings that still shows..

Source/WebKit/gtk/webkit/webkitversion.h:33: Warning: WebKit: symbol='WEBKITGTK_API_VERSION': Unknown namespace for symbol 'WEBKITGTK_API_VERSION'
Source/WebKit/gtk/webkit/webkitspellchecker.cpp:42: Warning: WebKit: webkit_spell_checker_check_spelling_of_string: unknown parameter 'string' in documentation comment, should be 'word'
DerivedSources/webkitdom/WebKitDOMCustom.h:31: Warning: WebKit: webkit_dom_blob_webkit_slice: return value: Missing (transfer) annotation
DerivedSources/webkitdom/WebKitDOMEventTarget.h:61: Warning: WebKit: webkit_dom_event_target_add_event_listener: argument handler: Missing (scope) annotation for callback without GDestroyNotify (valid: call, async)
DerivedSources/webkitdom/WebKitDOMEventTarget.h:67: Warning: WebKit: webkit_dom_event_target_remove_event_listener: argument handler: Missing (scope) annotation for callback without GDestroyNotify (valid: call, async)
DerivedSources/webkitdom/WebKitDOMCustom.h:34: Warning: WebKit: webkit_dom_html_element_get_class_list: return value: Missing (transfer) annotation
DerivedSources/webkitdom/WebKitDOMCustom.h:39: Warning: WebKit: webkit_dom_webkit_named_flow_get_content_nodes: return value: Missing (transfer) annotation
DerivedSources/webkitdom/WebKitDOMCustom.h:40: Warning: WebKit: webkit_dom_webkit_named_flow_get_regions_by_content_node: return value: Missing (transfer) annotation
Source/WebKit/gtk/webkit/webkitwebframe.cpp:840: Warning: WebKit: webkit_web_frame_get_global_context: return value: Unresolved type: 'JSGlobalContextRef'
Source/WebKit2/UIProcess/API/gtk/WebKitJavascriptResult.cpp:91: Warning: WebKit2: webkit_javascript_result_get_global_context: return value: Unresolved type: 'JSGlobalContextRef'
Source/WebKit2/UIProcess/API/gtk/WebKitJavascriptResult.cpp:105: Warning: WebKit2: webkit_javascript_result_get_value: return value: Unresolved type: 'JSValueRef'
Source/WebKit2/UIProcess/API/gtk/WebKitWebView.cpp:2381: Warning: WebKit2: webkit_web_view_get_javascript_global_context: return value: Unresolved type: 'JSGlobalContextRef'
Comment 9 WebKit Review Bot 2013-03-13 08:40:58 PDT
Comment on attachment 192914 [details]
Rebased patch

Clearing flags on attachment: 192914

Committed r145722: <http://trac.webkit.org/changeset/145722>
Comment 10 WebKit Review Bot 2013-03-13 08:41:02 PDT
All reviewed patches have been landed.  Closing bug.